Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReserveEntry/FrmMaterialReserveEntry.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReserveEntry/FrmMaterialReserveEntry.cs	(revision 166)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReserveEntry/FrmMaterialReserveEntry.cs	(revision 167)
@@ -166,6 +166,7 @@
             InitializeComponent();
         }
         #endregion
+
         #region デストラクタ
         ~FrmMaterialReserveEntry()
         {
@@ -180,7 +181,6 @@
         }
         #endregion
 
-
         #region プロパティ
         /// <summary>
         /// ダイアログ使用時フラグ
@@ -268,6 +268,8 @@
         #endregion
 
         #region イベントメソッド
+
+        #region ×ボタン押下処理
         /// <summary>
         /// ×ボタン押下処理
         /// </summary>
@@ -303,7 +305,9 @@
 
             }
         }
+        #endregion
 
+        #region 終了ボタン押下
         /// <summary>
         /// 終了ボタン押下
         /// </summary>
@@ -313,7 +317,9 @@
         {
             this.Close();
         }
+        #endregion
 
+        #region フォームロード
         /// <summary>
         /// フォームロード
         /// </summary>
@@ -333,7 +339,6 @@
             {
                 m_IoMi = new IOMaterialInfo();
                 m_IoMi.connect();
-                //m_IoMi.SetLockWaitime(1); // 排他制御削除
                 m_IoMi.beginTran();
 
             }
@@ -357,6 +362,9 @@
             // フォームサイズ固定
             this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
 
+            // ヘッダーの高さを固定
+            dgvMaster.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
+
             // ボタン表示の制御
             ButtonVisble(this);
 
@@ -364,7 +372,9 @@
             CreateProcessContextMenu(m_SubForm);
             // *-----* 処理移動ボタン設定 *-----*
         }
+        #endregion
 
+        #region 行データクリア
         /// <summary>
         /// 行データクリア
         /// </summary>
@@ -373,7 +383,9 @@
         {
             // クリアデータセット
         }
+        #endregion
 
+        #region グリッド採番処理
         /// <summary>
         /// グリッド採番処理
         /// </summary>
@@ -389,7 +401,9 @@
                     r.Cells[(int)DispColumn.DisplayOrder].Value = "0";
             }
         }
+        #endregion
 
+        #region 行追加ボタン押下
         /// <summary>
         /// 行追加ボタン押下
         /// </summary>
@@ -468,7 +482,9 @@
             //dgvMaster.FirstDisplayedScrollingRowIndex = iIndex;
             //dgvMaster.CurrentCell = dgvMaster[0, iIndex];
         }
+        #endregion
 
+        #region フィールド値変更フラグ
         /// <summary>
         /// フィールド値変更フラグ
         /// </summary>
@@ -478,7 +494,9 @@
         {
             m_bChengeAns = true;
         }
+        #endregion
 
+        #region セル値変化
         /// <summary>
         /// セル値変化
         /// </summary>
@@ -535,7 +553,9 @@
             // 変更フラグON
             m_bChengeAns = true;
         }
+        #endregion
 
+        #region 行削除ボタン押下
         /// <summary>
         /// 行削除ボタン押下
         /// </summary>
@@ -587,7 +607,9 @@
                 uDB = null;
             }
         }
+        #endregion
 
+        #region 登録ボタン押下
         /// <summary>
         /// 登録ボタン押下
         /// </summary>
@@ -595,12 +617,12 @@
         /// <param name="e"></param>
         private void btnDataEntry_Click(object sender, EventArgs e)
         {
-            try
+            try         
             {
                 //データチェック
                 if (!DispFeildCheck()) return;
 
-                if (MessageBox.Show("表示中のデータを登録します。", "登録確認"
+                if (MessageBox.Show("表示中のデータを登録します。\r\n貸出可能数がゼロ、貸出数が未入力の資材は反映しませんがよろしいですか。", "登録確認"
                         , MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes) return;
 
                 // 表示行退避
@@ -626,7 +648,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region IMEのコントロール
         /// <summary>
         /// IMEのコントロール
         /// </summary>
@@ -655,8 +679,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
-
+        #region セルダブルクリック
         /// <summary>
         /// セルダブルクリック
         /// </summary>
@@ -671,7 +696,9 @@
 
             btnEnd_Click(sender, (EventArgs)e);
         }
+        #endregion
 
+        #region Formキーダウン処理
         /// <summary>
         /// Formキーダウン処理
         /// </summary>
@@ -685,10 +712,13 @@
                 return;
             }
         }
+        #endregion
 
         #endregion
 
         #region プライベートメソッド
+
+        #region コンボボックスのロード
         /// <summary>
         /// コンボボックスのロード
         /// </summary>
@@ -739,7 +769,9 @@
                 IoMri = null;
             }
         }
+        #endregion
 
+        #region 初期表示処理
         /// <summary>
         /// 初期表示処理
         /// </summary>
@@ -778,7 +810,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region 画面項目のチェック
         /// <summary>
         /// 画面項目のチェック
         /// </summary>
@@ -802,75 +836,81 @@
                 foreach (DataGridViewRow r in dgvMaster.Rows)
                 {
                     //
-                    bAns = true;
-                    if (CommonMotions.cnvInt(r.Cells[(int)DispColumn.MaterialCount].Value) == 0)
+                    if (r.Cells[(int)DispColumn.MaterialCount].Value == null
+                        || CommonMotions.cnvInt(r.Cells[(int)DispColumn.RentCount].Value) == 0)
                     {
-                        bAns = false;
-                        sErrmsg = "貸出数が入力されていません。";
-                        errorCol = (int)DispColumn.MaterialCount;
+                        continue;
                     }
+                    else{
+                        bAns = true;
+                        if (CommonMotions.cnvInt(r.Cells[(int)DispColumn.MaterialCount].Value) == 0)
+                        {
+                            bAns = false;
+                            sErrmsg = "貸出数が入力されていません。";
+                            errorCol = (int)DispColumn.MaterialCount;
+                        }
 
-                    Regex regex = new Regex(@"^[0-9]+$");
-                    Match match = regex.Match(r.Cells[(int)DispColumn.MaterialCount].Value.ToString());
-                    if (!match.Success)
-                    {
-                        bAns = false;
-                        sErrmsg = "１以上の整数を入力してください。";
-                        errorCol = (int)DispColumn.MaterialCount;
-                    }
+                        Regex regex = new Regex(@"^[0-9]+$");
+                        Match match = regex.Match(r.Cells[(int)DispColumn.MaterialCount].Value.ToString());
+                        if (!match.Success)
+                        {
+                            bAns = false;
+                            sErrmsg = "１以上の整数を入力してください。";
+                            errorCol = (int)DispColumn.MaterialCount;
+                        }
 
-                    // 背景色変更
-                    CommonMotions.chgBackColor(r.Cells[errorCol], bAns);
+                        // 背景色変更
+                        CommonMotions.chgBackColor(r.Cells[errorCol], bAns);
 
-                    DateTime dt;
-                    if (CommonMotions.cnvString(r.Cells[(int)DispColumn.RepayPlanDate].Value).Length == 0)
-                    {
-                        bAns = false;
-                        sErrmsg = "データが入力されていません、確認してください。";
-                        errorCol = (int)DispColumn.RepayPlanDate;
-                    }
-                    regex = new Regex(@"^(\d{4})/(0[1-9]|1[0-2])/(0[1-9]|[12][0-9]|3[01])$");
-                    match = regex.Match(CommonMotions.cnvString(r.Cells[(int)DispColumn.RepayPlanDate].Value));
-                    if(!match.Success)
-                    {
-                        bAns = false;
-                        sErrmsg = "日付のフォーマットが不正です。(YYYY/MM/DD形式で入力してください)";
-                        errorCol = (int)DispColumn.RepayPlanDate;
-                    }
-                    else if (!DateTime.TryParse(CommonMotions.cnvString(r.Cells[(int)DispColumn.RepayPlanDate].Value), out dt))
-                    {
-                        bAns = false;
-                        sErrmsg = "日付のフォーマットが不正です。";
-                        errorCol = (int)DispColumn.RepayPlanDate;
-                    }
-                    else if (dt.Date <= DateTime.Now.Date)
-                    {                    
-                        bAns = false;
-                        sErrmsg = "返却予定日には、当日以前は設定できません。";
-                        errorCol = (int)DispColumn.RepayPlanDate;
-                    }
+                        DateTime dt;
+                        if (CommonMotions.cnvString(r.Cells[(int)DispColumn.RepayPlanDate].Value).Length == 0)
+                        {
+                            bAns = false;
+                            sErrmsg = "データが入力されていません、確認してください。";
+                            errorCol = (int)DispColumn.RepayPlanDate;
+                        }
+                        regex = new Regex(@"^(\d{4})/(0[1-9]|1[0-2])/(0[1-9]|[12][0-9]|3[01])$");
+                        match = regex.Match(CommonMotions.cnvString(r.Cells[(int)DispColumn.RepayPlanDate].Value));
+                        if (!match.Success)
+                        {
+                            bAns = false;
+                            sErrmsg = "日付のフォーマットが不正です。(YYYY/MM/DD形式で入力してください)";
+                            errorCol = (int)DispColumn.RepayPlanDate;
+                        }
+                        else if (!DateTime.TryParse(CommonMotions.cnvString(r.Cells[(int)DispColumn.RepayPlanDate].Value), out dt))
+                        {
+                            bAns = false;
+                            sErrmsg = "日付のフォーマットが不正です。";
+                            errorCol = (int)DispColumn.RepayPlanDate;
+                        }
+                        else if (dt.Date <= DateTime.Now.Date)
+                        {
+                            bAns = false;
+                            sErrmsg = "返却予定日には、当日以前は設定できません。";
+                            errorCol = (int)DispColumn.RepayPlanDate;
+                        }
 
-                    // 背景色変更
-                    CommonMotions.chgBackColor(r.Cells[errorCol], bAns);
+                        // 背景色変更
+                        CommonMotions.chgBackColor(r.Cells[errorCol], bAns);
 
-                    if (CommonMotions.cnvString(r.Cells[(int)DispColumn.CommentText].Value) != "")
-                    {
-                        // レングスチェック
-                        int len = Encoding.GetEncoding("Shift_JIS").GetByteCount(CommonMotions.cnvString(r.Cells[(int)DispColumn.CommentText].Value));
-                        if (len > 80)
+                        if (CommonMotions.cnvString(r.Cells[(int)DispColumn.CommentText].Value) != "")
                         {
-                            bAns = false;
-                            sErrmsg = "入力エラーがあります、確認してください。";
-                            errorCol = (int)DispColumn.CommentText;
+                            // レングスチェック
+                            int len = Encoding.GetEncoding("Shift_JIS").GetByteCount(CommonMotions.cnvString(r.Cells[(int)DispColumn.CommentText].Value));
+                            if (len > 80)
+                            {
+                                bAns = false;
+                                sErrmsg = "入力エラーがあります、確認してください。";
+                                errorCol = (int)DispColumn.CommentText;
+                            }
                         }
+
+                        // 背景色変更
+                        CommonMotions.chgBackColor(r.Cells[errorCol], bAns);
+                        bRet &= bAns;
                     }
-
-                    // 背景色変更
-                    CommonMotions.chgBackColor(r.Cells[errorCol], bAns);
-                    bRet &= bAns;
-
+                    
                 }
-
                 if (!bRet)
                 {
                     MessageBox.Show(sErrmsg, "データ確認"
@@ -886,7 +926,9 @@
                 return false;
             }
       }
+        #endregion
 
+        #region データ登録
         /// <summary>
         /// データ登録
         /// </summary>
@@ -925,185 +967,143 @@
 
                 foreach (DataGridViewRow r in dgvMaster.Rows)
                 {
-                    bool bProcessNoToday = false;
-
-                    MiMaster = new MaterialItemMaster();
-                    MiWork = new MaterialInfo();
-                    CmiWork = new ConstructionMaterialInfo();
-                    MriWork = new MaterialRecordInfo();
-
-                    CmiList = new List<ConstructionMaterialInfo>();
-                    MriList = new List<MaterialRecordInfo>();
-
-                    int intMaterialItemCode = CommonMotions.cnvInt(r.Cells[(int)DispColumn.MaterialItemCode].Value);
-                    int intRentCount= CommonMotions.cnvInt(r.Cells[(int)DispColumn.RentCount].Value);
-                    int intMaterialCount = CommonMotions.cnvInt(r.Cells[(int)DispColumn.MaterialCount].Value);
-                    int intMaterialCountBefore = CommonMotions.cnvInt(r.Cells[(int)DispColumn.MaterialCountBefore].Value);
-
-                    ArrayList arData = new ArrayList();
-                    // 当日以外のデータが存在するか調査
-                    string sql = string.Format("select ProcessDate from MaterialRecordInfo where ProcessDate <> DATE_FORMAT('{0}','%Y/%m/%d') and ConstructionCode = {1} and MaterialItemCode = {2} and RECKIND = 0 group by ProcessDate", strProcessdate, m_ConstructionCode, intMaterialItemCode);
-                    IoMri.ExecuteReader(sql, ref arData,false);
-                    if (arData.Count != 0) bProcessNoToday = true;
-
-                    // 資材品目マスタバージョンNo取得
-                    string strMimSQL = IoMim.CreatePrimarykeyString(intMaterialItemCode);
-                    List<MaterialItemMaster> MimList = new List<MaterialItemMaster>();
-                    if (!IoMim.SelectAction(strMimSQL, ref MimList, false))
+                    if (r.Cells[(int)DispColumn.MaterialCount].Value == null
+                        || CommonMotions.cnvInt(r.Cells[(int)DispColumn.RentCount].Value) == 0)
                     {
-                        MessageBox.Show("資材品目マスタの取得に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        return false;
+                        continue;
                     }
-                    MiMaster = MimList[0];
-
-                    // 資材情報
-                    string strSQL = m_IoMi.CreatePrimarykeyString(intMaterialItemCode);
-                    List<MaterialInfo> MiList = new List<MaterialInfo>();
-                    if (!m_IoMi.SelectAction(strSQL, ref MiList, false))
+                    else
                     {
-                        MessageBox.Show("登録確認に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        return false;
-                    }
+                        bool bProcessNoToday = false;
 
-                    // 更新ロック
-                    //m_IoMi.rollback();
-                    //if (!m_IoMi.RowLockUpdate(intMaterialItemCode, false))
-                    //{
-                    //    m_IoMi.RowLockShare(intMaterialItemCode, false);
-                    //    MessageBox.Show("他のユーザで編集中のため、処理できません。", "登録エラー"
-                    //    , MessageBoxButtons.OK, MessageBoxIcon.Error);
-                    //    return false;
-                    //}
-                    // 登録チェック②－２
-                    if ((MiList[0].RentCount + CommonMotions.cnvInt(r.Cells[(int)DispColumn.MaterialCountBefore].Value)) < CommonMotions.cnvInt(r.Cells[(int)DispColumn.MaterialCount].Value))
-                    {
-                        //m_IoMi.rollback();
-                        //m_IoMi.RowLockShare(intMaterialItemCode, false);
-                        MessageBox.Show("割当可能数を超えて、資材の予約できません。", "登録エラー"
-                        , MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        return false;
-                    }
+                        MiMaster = new MaterialItemMaster();
+                        MiWork = new MaterialInfo();
+                        CmiWork = new ConstructionMaterialInfo();
+                        MriWork = new MaterialRecordInfo();
 
-                    // 解除時は前貸出数を加算
-                    MiWork.MaterialCount = MiList[0].MaterialCount;
-                    if ((DataRowState)r.Cells[(int)DispColumn.RowState].Value == DataRowState.Deleted)
-                    {
-                        MiWork.RentCount = intRentCount + intMaterialCountBefore;
-                    }
-                    else
-                    {
-                        MiWork.RentCount = (intRentCount + intMaterialCountBefore) - intMaterialCount;
-                    }
-                    MiWork.DeleteFlg = MiList[0].DeleteFlg;
+                        CmiList = new List<ConstructionMaterialInfo>();
+                        MriList = new List<MaterialRecordInfo>();
 
-                    // データ登録
-                    if (!m_IoMi.UpdateAction(strSQL, MiWork, false))
-                    {
-                        //m_IoMi.rollback();
-                        //m_IoMi.RowLockShare(intMaterialItemCode, false);
-                        MessageBox.Show("更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        return false;
-                    }
+                        int intMaterialItemCode = CommonMotions.cnvInt(r.Cells[(int)DispColumn.MaterialItemCode].Value);
+                        int intRentCount = CommonMotions.cnvInt(r.Cells[(int)DispColumn.RentCount].Value);
+                        int intMaterialCount = CommonMotions.cnvInt(r.Cells[(int)DispColumn.MaterialCount].Value);
+                        int intMaterialCountBefore = CommonMotions.cnvInt(r.Cells[(int)DispColumn.MaterialCountBefore].Value);
 
-                    // データ操作内容設定
-                    if ((DataRowState)r.Cells[(int)DispColumn.RowState].Value == DataRowState.Added)
-                    {
-                        if (bProcessNoToday == false)        // 登録時のDB登録について　１
+                        ArrayList arData = new ArrayList();
+                        // 当日以外のデータが存在するか調査
+                        string sql = string.Format("select ProcessDate from MaterialRecordInfo where ProcessDate <> DATE_FORMAT('{0}','%Y/%m/%d') and ConstructionCode = {1} and MaterialItemCode = {2} and RECKIND = 0 group by ProcessDate", strProcessdate, m_ConstructionCode, intMaterialItemCode);
+                        IoMri.ExecuteReader(sql, ref arData, false);
+                        if (arData.Count != 0) bProcessNoToday = true;
+
+                        // 資材品目マスタバージョンNo取得
+                        string strMimSQL = IoMim.CreatePrimarykeyString(intMaterialItemCode);
+                        List<MaterialItemMaster> MimList = new List<MaterialItemMaster>();
+                        if (!IoMim.SelectAction(strMimSQL, ref MimList, false))
                         {
-                            CmiState = DataRowState.Added;
-                            MriState = DataRowState.Added;
+                            MessageBox.Show("資材品目マスタの取得に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                            return false;
+                        }
+                        MiMaster = MimList[0];
 
+                        // 資材情報
+                        string strSQL = m_IoMi.CreatePrimarykeyString(intMaterialItemCode);
+                        List<MaterialInfo> MiList = new List<MaterialInfo>();
+                        if (!m_IoMi.SelectAction(strSQL, ref MiList, false))
+                        {
+                            MessageBox.Show("登録確認に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                            return false;
                         }
-                        else if (bProcessNoToday == true)   // 登録時のDB登録について　２
+
+                        // 更新ロック
+                        //m_IoMi.rollback();
+                        //if (!m_IoMi.RowLockUpdate(intMaterialItemCode, false))
+                        //{
+                        //    m_IoMi.RowLockShare(intMaterialItemCode, false);
+                        //    MessageBox.Show("他のユーザで編集中のため、処理できません。", "登録エラー"
+                        //    , MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        //    return false;
+                        //}
+                        // 登録チェック②－２
+                        if ((MiList[0].RentCount + CommonMotions.cnvInt(r.Cells[(int)DispColumn.MaterialCountBefore].Value)) < CommonMotions.cnvInt(r.Cells[(int)DispColumn.MaterialCount].Value))
                         {
-                            CmiState = DataRowState.Modified;
-                            MriState = DataRowState.Added;
+                            //m_IoMi.rollback();
+                            //m_IoMi.RowLockShare(intMaterialItemCode, false);
+                            MessageBox.Show("割当可能数を超えて、資材の予約できません。", "登録エラー"
+                            , MessageBoxButtons.OK, MessageBoxIcon.Error);
+                            return false;
                         }
-                    }
-                    else if ((DataRowState)r.Cells[(int)DispColumn.RowState].Value == DataRowState.Unchanged)   
-                    {
-                        // 登録時のDB登録について　３、４
-                        CmiState = DataRowState.Modified;
-                        MriState = DataRowState.Modified;
-                    }
-                    else if ((DataRowState)r.Cells[(int)DispColumn.RowState].Value == DataRowState.Deleted)
-                    {
-                        if (bProcessNoToday == false)        // 登録時のDB登録について　５
+
+                        // 解除時は前貸出数を加算
+                        MiWork.MaterialCount = MiList[0].MaterialCount;
+                        if ((DataRowState)r.Cells[(int)DispColumn.RowState].Value == DataRowState.Deleted)
                         {
-                            CmiState = DataRowState.Deleted;
-                            MriState = DataRowState.Deleted;
+                            MiWork.RentCount = intRentCount + intMaterialCountBefore;
                         }
-                        else if (bProcessNoToday == true)   // 登録時のDB登録について　６
+                        else
                         {
-                            CmiState = DataRowState.Modified;
-                            MriState = DataRowState.Deleted;
+                            MiWork.RentCount = (intRentCount + intMaterialCountBefore) - intMaterialCount;
                         }
-                    }
+                        MiWork.DeleteFlg = MiList[0].DeleteFlg;
 
-
-                    //  工事資材情報
-                    CmiWork.ConstructionCode = m_ConstructionCode;
-                    CmiWork.MaterialItemCode = intMaterialItemCode;
-                    CmiWork.CompleteFlg = 0;
-
-                    if (CmiState == DataRowState.Added) // 工事資材情報 新規
-                    {
-                        CmiWork.RentCount = intMaterialCount;
-                        CmiWork.RepayCount = 0;
-
-                        CmiList.Clear();
-                        CmiList.Add(CmiWork);
                         // データ登録
-                        if (!IoCmi.InsertAction(CmiList, false))
+                        if (!m_IoMi.UpdateAction(strSQL, MiWork, false))
                         {
                             //m_IoMi.rollback();
                             //m_IoMi.RowLockShare(intMaterialItemCode, false);
-                            IoCmi.rollback();
                             MessageBox.Show("更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                             return false;
                         }
 
-                    }
-                    else if (CmiState == DataRowState.Modified || CmiState == DataRowState.Deleted) // 工事資材情報 更新or削除
-                    {
-                        // 工事資材情報　
-                        strSQL = IoCmi.CreatePrimarykeyString(m_ConstructionCode, intMaterialItemCode);
-                        if (!IoCmi.SelectAction(strSQL, ref CmiList, false))
+                        // データ操作内容設定
+                        if ((DataRowState)r.Cells[(int)DispColumn.RowState].Value == DataRowState.Added)
                         {
-                            //m_IoMi.rollback();
-                            //m_IoMi.RowLockShare(intMaterialItemCode, false);
-                            MessageBox.Show("登録確認に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                            return false;
-                        }
+                            if (bProcessNoToday == false)        // 登録時のDB登録について　１
+                            {
+                                CmiState = DataRowState.Added;
+                                MriState = DataRowState.Added;
 
-                        // 解除時は前貸出数を減算
-                        if ((DataRowState)r.Cells[(int)DispColumn.RowState].Value == DataRowState.Deleted)
-                        {
-                            CmiWork.RentCount = (CmiList[0].RentCount - intMaterialCountBefore);
+                            }
+                            else if (bProcessNoToday == true)   // 登録時のDB登録について　２
+                            {
+                                CmiState = DataRowState.Modified;
+                                MriState = DataRowState.Added;
+                            }
                         }
-                        else
+                        else if ((DataRowState)r.Cells[(int)DispColumn.RowState].Value == DataRowState.Unchanged)
                         {
-                            CmiWork.RentCount = (CmiList[0].RentCount - intMaterialCountBefore) + intMaterialCount;
+                            // 登録時のDB登録について　３、４
+                            CmiState = DataRowState.Modified;
+                            MriState = DataRowState.Modified;
                         }
-                        if (CmiList.Count != 0)
+                        else if ((DataRowState)r.Cells[(int)DispColumn.RowState].Value == DataRowState.Deleted)
                         {
-                            CmiWork.RepayCount = CmiList[0].RepayCount;
+                            if (bProcessNoToday == false)        // 登録時のDB登録について　５
+                            {
+                                CmiState = DataRowState.Deleted;
+                                MriState = DataRowState.Deleted;
+                            }
+                            else if (bProcessNoToday == true)   // 登録時のDB登録について　６
+                            {
+                                CmiState = DataRowState.Modified;
+                                MriState = DataRowState.Deleted;
+                            }
                         }
 
-                        // ロック
-                        //if (!IoCmi.RowLock(m_ConstructionCode, intMaterialItemCode, false))
-                        //{
-                        //    m_IoMi.rollback();
-                        //    m_IoMi.RowLockShare(intMaterialItemCode, false);
-                        //    MessageBox.Show("他のユーザで編集中のため、処理できません。", "登録エラー"
-                        //    , MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        //    return false;
-                        //}
 
-                        if (CmiState == DataRowState.Modified)  // 更新
+                        //  工事資材情報
+                        CmiWork.ConstructionCode = m_ConstructionCode;
+                        CmiWork.MaterialItemCode = intMaterialItemCode;
+                        CmiWork.CompleteFlg = 0;
+
+                        if (CmiState == DataRowState.Added) // 工事資材情報 新規
                         {
-                            // データ更新
-                            if (!IoCmi.UpdateAction(strSQL, CmiWork, false))
+                            CmiWork.RentCount = intMaterialCount;
+                            CmiWork.RepayCount = 0;
+
+                            CmiList.Clear();
+                            CmiList.Add(CmiWork);
+                            // データ登録
+                            if (!IoCmi.InsertAction(CmiList, false))
                             {
                                 //m_IoMi.rollback();
                                 //m_IoMi.RowLockShare(intMaterialItemCode, false);
@@ -1111,79 +1111,91 @@
                                 MessageBox.Show("更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                                 return false;
                             }
+
                         }
-                        else if (CmiState == DataRowState.Deleted)  // 削除
+                        else if (CmiState == DataRowState.Modified || CmiState == DataRowState.Deleted) // 工事資材情報 更新or削除
                         {
-                            // データ更新
-                            if (!IoCmi.DeleteAction(strSQL, false))
+                            // 工事資材情報　
+                            strSQL = IoCmi.CreatePrimarykeyString(m_ConstructionCode, intMaterialItemCode);
+                            if (!IoCmi.SelectAction(strSQL, ref CmiList, false))
                             {
                                 //m_IoMi.rollback();
                                 //m_IoMi.RowLockShare(intMaterialItemCode, false);
-                                IoCmi.rollback();
-                                MessageBox.Show("更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                                MessageBox.Show("登録確認に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                                 return false;
                             }
-                        }
 
-                    }
+                            // 解除時は前貸出数を減算
+                            if ((DataRowState)r.Cells[(int)DispColumn.RowState].Value == DataRowState.Deleted)
+                            {
+                                CmiWork.RentCount = (CmiList[0].RentCount - intMaterialCountBefore);
+                            }
+                            else
+                            {
+                                CmiWork.RentCount = (CmiList[0].RentCount - intMaterialCountBefore) + intMaterialCount;
+                            }
+                            if (CmiList.Count != 0)
+                            {
+                                CmiWork.RepayCount = CmiList[0].RepayCount;
+                            }
 
-                    // 資材履歴情報
-                    MriWork.MaterialCount = intMaterialCount;
-                    MriWork.RepayPlanDate = CommonMotions.cnvDate(r.Cells[(int)DispColumn.RepayPlanDate].Value);
-                    MriWork.CommentText = CommonMotions.cnvString(r.Cells[(int)DispColumn.CommentText].Value);
-                    MriWork.ConstructionCode = m_ConstructionCode;
-                    MriWork.PersonCode = CommonMotions.LoginUserData.PersonCode;
-                    MriWork.RecKind = 0;
+                            // ロック
+                            //if (!IoCmi.RowLock(m_ConstructionCode, intMaterialItemCode, false))
+                            //{
+                            //    m_IoMi.rollback();
+                            //    m_IoMi.RowLockShare(intMaterialItemCode, false);
+                            //    MessageBox.Show("他のユーザで編集中のため、処理できません。", "登録エラー"
+                            //    , MessageBoxButtons.OK, MessageBoxIcon.Error);
+                            //    return false;
+                            //}
 
-                    strSQL = IoMri.CreatePrimarykeyString(intMaterialItemCode, CommonMotions.cnvDate(strProcessdate));
+                            if (CmiState == DataRowState.Modified)  // 更新
+                            {
+                                // データ更新
+                                if (!IoCmi.UpdateAction(strSQL, CmiWork, false))
+                                {
+                                    //m_IoMi.rollback();
+                                    //m_IoMi.RowLockShare(intMaterialItemCode, false);
+                                    IoCmi.rollback();
+                                    MessageBox.Show("更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                                    return false;
+                                }
+                            }
+                            else if (CmiState == DataRowState.Deleted)  // 削除
+                            {
+                                // データ更新
+                                if (!IoCmi.DeleteAction(strSQL, false))
+                                {
+                                    //m_IoMi.rollback();
+                                    //m_IoMi.RowLockShare(intMaterialItemCode, false);
+                                    IoCmi.rollback();
+                                    MessageBox.Show("更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                                    return false;
+                                }
+                            }
 
-                    if (MriState == DataRowState.Added) // 資材履歴情報 新規
-                    {
-                        MriWork.MaterialItemCode = intMaterialItemCode;
-                        MriWork.ProcessDate = CommonMotions.cnvDate(strProcessdate);
-                        MriWork.SeqNo = IoMri.SelectMaxMaterialRecordKeyCount(strSQL,false) + 1;
-
-                        MriList.Clear();
-                        MriList.Add(MriWork);
-                        // データ登録
-                        if (!IoMri.InsertAction(MriList, false))
-                        {
-                            //m_IoMi.rollback();
-                            //m_IoMi.RowLockShare(intMaterialItemCode, false);
-                            IoCmi.rollback();
-                            IoMri.rollback();
-                            MessageBox.Show("更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                            return false;
                         }
-                    }
-                    else if (MriState == DataRowState.Modified || MriState == DataRowState.Deleted) // 資材履歴情報 更新or削除
-                    {
-                        // データ確認
-                        strSQL += "and RecKind = 0";
-                        if (!IoMri.SelectAction(strSQL, ref MriList, false))
-                        {
-                            //m_IoMi.rollback();
-                            //m_IoMi.RowLockShare(intMaterialItemCode, false);
-                            IoCmi.rollback();
-                            MessageBox.Show("登録確認に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                            return false;
-                        }
 
-                        // ロック
-                        //if (!IoMri.RowLock(intMaterialItemCode, MriList[0].ProcessDate, MriList[0].SeqNo, false))
-                        //{
-                        //    m_IoMi.rollback();
-                        //    m_IoMi.RowLockShare(intMaterialItemCode, false);
-                        //    IoCmi.rollback();
-                        //    MessageBox.Show("他のユーザで編集中のため、処理できません。", "登録エラー"
-                        //    , MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        //    return false;
-                        //}
+                        // 資材履歴情報
+                        MriWork.MaterialCount = intMaterialCount;
+                        MriWork.RepayPlanDate = CommonMotions.cnvDate(r.Cells[(int)DispColumn.RepayPlanDate].Value);
+                        MriWork.CommentText = CommonMotions.cnvString(r.Cells[(int)DispColumn.CommentText].Value);
+                        MriWork.ConstructionCode = m_ConstructionCode;
+                        MriWork.PersonCode = CommonMotions.LoginUserData.PersonCode;
+                        MriWork.RecKind = 0;
 
-                        if (MriState == DataRowState.Modified)  // 更新
+                        strSQL = IoMri.CreatePrimarykeyString(intMaterialItemCode, CommonMotions.cnvDate(strProcessdate));
+
+                        if (MriState == DataRowState.Added) // 資材履歴情報 新規
                         {
-                            // データ更新
-                            if (!IoMri.UpdateAction(strSQL, MriWork, false))
+                            MriWork.MaterialItemCode = intMaterialItemCode;
+                            MriWork.ProcessDate = CommonMotions.cnvDate(strProcessdate);
+                            MriWork.SeqNo = IoMri.SelectMaxMaterialRecordKeyCount(strSQL, false) + 1;
+
+                            MriList.Clear();
+                            MriList.Add(MriWork);
+                            // データ登録
+                            if (!IoMri.InsertAction(MriList, false))
                             {
                                 //m_IoMi.rollback();
                                 //m_IoMi.RowLockShare(intMaterialItemCode, false);
@@ -1193,31 +1205,78 @@
                                 return false;
                             }
                         }
-                        else if (MriState == DataRowState.Deleted)  // 削除
+                        else if (MriState == DataRowState.Modified || MriState == DataRowState.Deleted) // 資材履歴情報 更新or削除
                         {
-                            // データ更新
-                            if (!IoMri.DeleteAction(strSQL, false))
+                            // データ確認
+
+                            MriWork.MaterialItemCode = intMaterialItemCode;
+                            MriWork.ProcessDate = CommonMotions.cnvDate(strProcessdate);
+                            MriWork.SeqNo = IoMri.SelectMaxMaterialRecordKeyCount(strSQL, false);
+
+                            strSQL += string.Format("and RecKind = 0 and ConstructionCode = {0}", m_ConstructionCode.ToString());
+
+                            MriList.Clear();
+                            MriList.Add(MriWork);
+
+                            if (!IoMri.SelectAction(strSQL, ref MriList, false))
                             {
                                 //m_IoMi.rollback();
                                 //m_IoMi.RowLockShare(intMaterialItemCode, false);
                                 IoCmi.rollback();
-                                IoMri.rollback();
-                                MessageBox.Show("更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                                MessageBox.Show("登録確認に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                                 return false;
                             }
+
+                            // ロック
+                            //if (!IoMri.RowLock(intMaterialItemCode, MriList[0].ProcessDate, MriList[0].SeqNo, false))
+                            //{
+                            //    m_IoMi.rollback();
+                            //    m_IoMi.RowLockShare(intMaterialItemCode, false);
+                            //    IoCmi.rollback();
+                            //    MessageBox.Show("他のユーザで編集中のため、処理できません。", "登録エラー"
+                            //    , MessageBoxButtons.OK, MessageBoxIcon.Error);
+                            //    return false;
+                            //}
+
+                            if (MriState == DataRowState.Modified)  // 更新
+                            {
+                                // データ更新
+                                if (!IoMri.UpdateAction(strSQL, MriWork, false))
+                                {
+                                    //m_IoMi.rollback();
+                                    //m_IoMi.RowLockShare(intMaterialItemCode, false);
+                                    IoCmi.rollback();
+                                    IoMri.rollback();
+                                    MessageBox.Show("更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                                    return false;
+                                }
+                            }
+                            else if (MriState == DataRowState.Deleted)  // 削除
+                            {
+                                // データ更新
+                                if (!IoMri.DeleteAction(strSQL, false))
+                                {
+                                    //m_IoMi.rollback();
+                                    //m_IoMi.RowLockShare(intMaterialItemCode, false);
+                                    IoCmi.rollback();
+                                    IoMri.rollback();
+                                    MessageBox.Show("更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                                    return false;
+                                }
+                            }
                         }
-                    }
 
-                    // 資材品目マスタバージョンNo更新
-                    strMimSQL += string.Format(" And VersionNo = {0}", MiMaster.VersionNo.ToString());
-                    if (!IoMim.UpdateVersionAction(strMimSQL, MiMaster, false))
-                    {
-                        MessageBox.Show("他のユーザで更新されています。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        m_IoMi.rollback();
-                        IoCmi.rollback();
-                        IoMri.rollback();
-                        IoMim.rollback();
-                        return false;
+                        // 資材品目マスタバージョンNo更新
+                        strMimSQL += string.Format(" And VersionNo = {0}", MiMaster.VersionNo.ToString());
+                        if (!IoMim.UpdateVersionAction(strMimSQL, MiMaster, false))
+                        {
+                            MessageBox.Show("他のユーザで更新されています。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                            m_IoMi.rollback();
+                            IoCmi.rollback();
+                            IoMri.rollback();
+                            IoMim.rollback();
+                            return false;
+                        }
                     }
                 }
 
@@ -1249,10 +1308,14 @@
                     IoMim.close();
                     IoMim = null;
                 }
+
+                CommonMotions.EntryEndMessage("資材貸出");
             }
             return true;
         }
+        #endregion
 
+        #region グリッド表示
         /// <summary>
         /// グリッド表示
         /// </summary>
@@ -1377,7 +1440,9 @@
             }
             return true;
         }
+        #endregion
 
+        #region ボタンの表示・非表示制御
         /// <summary>
         /// ボタンの表示・非表示制御
         /// </summary>
@@ -1404,9 +1469,9 @@
             // グリッドの読込のみ制御
             dgvMaster.ReadOnly = m_DialogFlg;
         }
+        #endregion
 
-
-
+        #region 資材選択押下
         /// <summary>
         /// 資材選択押下
         /// </summary>
@@ -1494,7 +1559,9 @@
             
             }
         }
+        #endregion
 
+        #region グリッド最終行での処理
         /// <summary>
         /// グリッド最終行での処理
         /// </summary>
@@ -1516,7 +1583,12 @@
 
             }
         }
+        #endregion
 
+        #region 選択されているインデックスの変更
+        /// <summary>
+        /// 選択されているインデックスの変更
+        /// </summary>
         private void cmbProcessDate_SelectedIndexChanged(object sender, EventArgs e)
         {
             if (cmbProcessDate.SelectedValue != null)
@@ -1539,7 +1611,9 @@
                 DispGridData();
             }
         }
+        #endregion
 
+        #region 資材履歴押下
         /// <summary>
         /// 資材履歴押下 
         /// </summary>
@@ -1575,7 +1649,9 @@
             }
 
         }
+        #endregion
 
+        #region ボタン制御
         /// <summary>
         /// ボタン制御
         /// </summary>
@@ -1601,7 +1677,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region セルクリック
         /// <summary>
         /// セルクリック
         /// </summary>
@@ -1611,7 +1689,9 @@
         {
             setButtonEnable();
         }
+        #endregion
 
+        #region 資材解除押下
         /// <summary>
         /// 資材解除押下
         /// </summary>
@@ -1684,7 +1764,9 @@
                 cMi = null;
             }
         }
+        #endregion
 
+        #region 資材登録押下
         /// <summary>
         /// 資材登録押下
         /// </summary>
@@ -1708,7 +1790,8 @@
 
             return true;
         }
-    #endregion
+        #endregion
 
+        #endregion
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReserveEntry/FrmMaterialReserveEntry.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReserveEntry/FrmMaterialReserveEntry.designer.cs	(revision 166)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReserveEntry/FrmMaterialReserveEntry.designer.cs	(revision 167)
@@ -265,6 +265,7 @@
             dataGridViewCellStyle8.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
             dataGridViewCellStyle8.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
             this.dgvMaster.RowHeadersDefaultCellStyle = dataGridViewCellStyle8;
+            this.dgvMaster.RowHeadersVisible = false;
             this.dgvMaster.RowHeadersWidth = 24;
             this.dgvMaster.Size = new System.Drawing.Size(1137, 229);
             this.dgvMaster.TabIndex = 0;
@@ -276,6 +277,7 @@
             // 
             this.Column13.HeaderText = "RowState";
             this.Column13.Name = "Column13";
+            this.Column13.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.Column13.Visible = false;
             // 
             // Column1
@@ -294,6 +296,7 @@
             // 
             this.Column11.HeaderText = "種類コード";
             this.Column11.Name = "Column11";
+            this.Column11.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.Column11.Visible = false;
             // 
             // Column2
@@ -306,6 +309,7 @@
             this.Column2.HeaderText = "種類";
             this.Column2.Name = "Column2";
             this.Column2.ReadOnly = true;
+            this.Column2.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.Column2.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.Column2.Width = 180;
             // 
@@ -313,6 +317,7 @@
             // 
             this.Column9.HeaderText = "種類表示";
             this.Column9.Name = "Column9";
+            this.Column9.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.Column9.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.Programmatic;
             this.Column9.Visible = false;
             // 
@@ -320,6 +325,7 @@
             // 
             this.Column8.HeaderText = "品目コード";
             this.Column8.Name = "Column8";
+            this.Column8.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.Column8.Visible = false;
             // 
             // Column3
@@ -338,6 +344,7 @@
             // 
             this.Column10.HeaderText = "品目表示";
             this.Column10.Name = "Column10";
+            this.Column10.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.Column10.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.Programmatic;
             this.Column10.Visible = false;
             // 
@@ -368,6 +375,7 @@
             // 
             this.Column12.HeaderText = "変更前貸出数";
             this.Column12.Name = "Column12";
+            this.Column12.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.Column12.Visible = false;
             // 
             // Column6
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.cs	(revision 166)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.cs	(revision 167)
@@ -40,6 +40,7 @@
         #endregion
 
         #region 定数
+        #region 表示カラム
         /// <summary>
         /// 表示カラム
         /// </summary>
@@ -55,10 +56,13 @@
             RentCount,
             RepayCount,
             MaterialCount,
+            MaterialDumpCount,
             MaterialCountBefore,
             CommentText,
         }
+        #endregion
 
+        #region enum
         private enum DataColumn
         {
             MaterialKindCode = 0,
@@ -73,48 +77,68 @@
             CommentText,
             CompleteFlg,
         }
+        #endregion
 
+        #region マスタリストMAXライン
         /// <summary>
         /// マスタリストMAXライン
         /// </summary>
         private const int s_ListMaxLineCount = 53;
         #endregion
+        #endregion
 
         #region 変数
+        #region フィールド値変化フラグ
         /// <summary>
         /// フィールド値変化フラグ
         /// </summary>
         private bool m_bChengeAns = false;
+        #endregion
 
+        #region ダイアログ使用フラグ
         /// <summary>
         /// ダイアログ使用フラグ
         /// </summary>
         private bool m_DialogFlg = false;
+        #endregion
+
+        #region 工事番号
         /// <summary>
         /// 工事番号
         /// </summary>
         private int m_ConstructionCode = 0;
+        #endregion
+
+        #region 終了ボタン押下フラグ
         /// <summary>
         /// 終了ボタン押下フラグ
         /// </summary>
         private bool m_EndButton = false;
+        #endregion
+
+        #region 参照フラグ
         /// <summary>
         /// 参照フラグ
         /// </summary>
         private bool m_EditLock = false;
+        #endregion
 
-        // *-----* 共通処理設定 *-----*
+        #region  *-----* 共通処理設定 *-----*
+        #region サブフォームフラグ
         /// <summary>
         /// サブフォームフラグ
         /// </summary>
         private bool m_SubForm = false;
+        #endregion
+
+        #region 呼出元終了フラグ
         /// <summary>
         /// 呼出元終了フラグ
         /// </summary>
         private bool m_ParentEnd = false;
+        #endregion
+        #endregion// *-----* 共通処理設定 *-----*
 
-        // *-----* 共通処理設定 *-----*
-
         private bool m_CloseingProcessOn = false;
 
         #endregion
@@ -125,6 +149,7 @@
             InitializeComponent();
         }
         #endregion
+
         #region デストラクタ
         ~FrmMaterialReturnEntry()
         {
@@ -139,8 +164,8 @@
         }
         #endregion
 
-
         #region プロパティ
+        #region ダイアログ使用時フラグ
         /// <summary>
         /// ダイアログ使用時フラグ
         /// </summary>
@@ -148,6 +173,9 @@
         {
             set { m_DialogFlg = value; }
         }
+        #endregion
+
+        #region 工事番号
         /// <summary>
         /// 工事番号
         /// </summary>
@@ -157,6 +185,9 @@
             set { m_ConstructionCode = value; }
 
         }
+        #endregion
+
+        #region 参照フラグ
         /// <summary>
         /// 参照フラグ
         /// </summary>
@@ -165,8 +196,9 @@
             get { return m_EditLock; }
             set { m_EditLock = value; }
         }
+        #endregion
 
-        // *-----* 共通処理設定 *-----*
+        #region *-----* 共通処理設定 *-----*
         /// <summary>
         /// サブフォームフラグ
         /// </summary>
@@ -175,6 +207,8 @@
             get { return m_SubForm; }
             set { m_SubForm = value; }
         }
+
+        #region 呼出元終了フラグ
         /// <summary>
         /// 呼出元終了フラグ
         /// </summary>
@@ -183,12 +217,13 @@
             get { return m_ParentEnd; }
             set { m_ParentEnd = value; }
         }
-        // *-----* 共通処理設定 *-----*
-
         #endregion
+        //*-----* 共通処理設定 *-----*
+        #endregion
+        #endregion
 
-
         #region イベントメソッド
+        #region ×ボタン押下処理
         /// <summary>
         /// ×ボタン押下処理
         /// </summary>
@@ -209,7 +244,9 @@
             // 前プロセスに戻る
             ClsExcute.BackProcess();
         }
+        #endregion
 
+        #region 終了ボタン押下
         /// <summary>
         /// 終了ボタン押下
         /// </summary>
@@ -219,7 +256,9 @@
         {
             this.Close();
         }
+        #endregion
 
+        #region フォームロード
         /// <summary>
         /// フォームロード
         /// </summary>
@@ -248,6 +287,10 @@
             // フォームサイズ固定
             this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
 
+            // ヘッダーの高さを固定
+            dgvMaster.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
+
+
             // ボタン表示の制御
             ButtonVisble(this);
 
@@ -256,7 +299,9 @@
             // *-----* 処理移動ボタン設定 *-----*
 
         }
+        #endregion
 
+        #region 行データクリア
         /// <summary>
         /// 行データクリア
         /// </summary>
@@ -265,7 +310,9 @@
         {
             // クリアデータセット
         }
+        #endregion
 
+        #region グリッド採番処理
         /// <summary>
         /// グリッド採番処理
         /// </summary>
@@ -281,7 +328,9 @@
                     r.Cells[(int)DispColumn.DisplayOrder].Value = "0";
             }
         }
+        #endregion
 
+        #region 行追加ボタン押下
         /// <summary>
         /// 行追加ボタン押下
         /// </summary>
@@ -360,7 +409,9 @@
             //dgvMaster.FirstDisplayedScrollingRowIndex = iIndex;
             //dgvMaster.CurrentCell = dgvMaster[0, iIndex];
         }
+        #endregion
 
+        #region フィールド値変更フラグ
         /// <summary>
         /// フィールド値変更フラグ
         /// </summary>
@@ -370,7 +421,9 @@
         {
             m_bChengeAns = true;
         }
+        #endregion
 
+        #region セル値変化
         /// <summary>
         /// セル値変化
         /// </summary>
@@ -384,7 +437,9 @@
             // 変更フラグON
             m_bChengeAns = true;
         }
+        #endregion
 
+        #region 登録ボタン押下
         /// <summary>
         /// 登録ボタン押下
         /// </summary>
@@ -398,16 +453,19 @@
                 if (!DispFeildCheck()) return;
 
                 // 確認
-                if (tglAllReturn.Checked)
-                {
-                    if (MessageBox.Show("返却されていない資材は、資材から削除されます。完了してよろしいですか？", "登録確認"
-                            , MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes) return;
-                }
-                else
-                {
+                //if (tglAllReturn.Checked)
+                //{
+                //    if (MessageBox.Show("返却されていない資材は、資材から削除されます。完了してよろしいですか？", "登録確認"
+                //            , MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes) return;
+                //}
+                //else
+                //{
                     if (MessageBox.Show("表示中のデータを登録します。", "登録確認"
-                            , MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes) return;
-                }
+                            , MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes) 
+                    {
+                        return;
+                    }
+                //}
 
                 //// 表示行退避
                 //int iIndex = dgvMaster.FirstDisplayedScrollingRowIndex;
@@ -427,7 +485,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region IMEのコントロール
         /// <summary>
         /// IMEのコントロール
         /// </summary>
@@ -456,7 +516,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region セルクリック
         /// <summary>
         /// セルクリック
         /// </summary>
@@ -466,7 +528,9 @@
         {
             dgvMaster_CellDoubleClick(sender, e);
         }
+        #endregion
 
+        #region セルダブルクリック
         /// <summary>
         /// セルダブルクリック
         /// </summary>
@@ -481,7 +545,9 @@
 
             btnEnd_Click(sender, (EventArgs)e);
         }
+        #endregion
 
+        #region Formキーダウン処理
         /// <summary>
         /// Formキーダウン処理
         /// </summary>
@@ -495,10 +561,12 @@
                 return;
             }
         }
+        #endregion
 
         #endregion
 
         #region プライベートメソッド
+        #region 初期表示処理
         /// <summary>
         /// 初期表示処理
         /// </summary>
@@ -509,9 +577,6 @@
 
             try
             {
-                // テスト用工事番号
-                //ConstructionCode = 2016020201;
-
                 // 画面表示用データ取得
                 if (!IoConB.SelectAction(string.Format(" where ConstructionCode = {0} and DETAILNO = 2", ConstructionCode), ref ConB)) return;
 
@@ -524,8 +589,6 @@
                 lblRepaydate.Text = DateTime.Now.Date.ToString("yyyy/MM/dd");
 
                 if (!DispGridData()) return;
-
-
             }
             catch (Exception ex)
             {
@@ -532,7 +595,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region 画面項目のチェック
         /// <summary>
         /// 画面項目のチェック
         /// </summary>
@@ -548,21 +613,26 @@
                 foreach (DataGridViewRow r in dgvMaster.Rows)
                 {
 
-                    // 割当数＜返却済＋返却数の場合は、エラー
-                    if (CommonMotions.cnvInt(r.Cells[(int)DispColumn.RentCount].Value) < CommonMotions.cnvInt(r.Cells[(int)DispColumn.RepayCount].Value) + CommonMotions.cnvInt(r.Cells[(int)DispColumn.MaterialCount].Value))
+                    // 割当数＜返却済＋返却数＋破棄数の場合は、エラー
+                    if (CommonMotions.cnvInt(r.Cells[(int)DispColumn.RentCount].Value) < 
+                        CommonMotions.cnvInt(r.Cells[(int)DispColumn.RepayCount].Value) 
+                        + CommonMotions.cnvInt(r.Cells[(int)DispColumn.MaterialCount].Value) 
+                        + CommonMotions.cnvInt(r.Cells[(int)DispColumn.MaterialDumpCount].Value))
                     {
                         bAns = false;
-                        sError = "貸出した資材数を超えて資材の返却はできません。"; 
+                        sError = "貸出した資材数を超えて資材の返却・破棄はできません。"; 
                         // 背景色変更
                         CommonMotions.chgBackColor(r.Cells[(int)DispColumn.MaterialCount], bAns);
                     }
 
                     Regex regex = new Regex(@"^[0-9]+$");
-                    Match match = regex.Match(r.Cells[(int)DispColumn.MaterialCount].Value.ToString());
-                    if (!match.Success)
+                    Match matchC = regex.Match(r.Cells[(int)DispColumn.MaterialCount].Value.ToString());
+                    Match matchDC = regex.Match(r.Cells[(int)DispColumn.MaterialDumpCount].Value.ToString());
+
+                    if (!matchC.Success && !matchDC.Success)
                     {
                         bAns = false;
-                        sError = "１以上の整数を入力してください。";
+                        sError = "返却数か破棄数には整数値を入力してください。";
                         CommonMotions.chgBackColor(r.Cells[(int)DispColumn.MaterialCount], bAns);
                     }
 
@@ -595,7 +665,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region データ登録
         /// <summary>
         /// データ登録
         /// </summary>
@@ -637,8 +709,14 @@
                     int intRentCount = CommonMotions.cnvInt(r.Cells[(int)DispColumn.RentCount].Value);
                     int intRepayCount= CommonMotions.cnvInt(r.Cells[(int)DispColumn.RepayCount].Value);
                     int intMaterialCount= CommonMotions.cnvInt(r.Cells[(int)DispColumn.MaterialCount].Value);
+                    int intMaterialDumpCount = CommonMotions.cnvInt(r.Cells[(int)DispColumn.MaterialDumpCount].Value);
                     int intMaterialCountBefore = CommonMotions.cnvInt(r.Cells[(int)DispColumn.MaterialCountBefore].Value);
 
+                    if (intMaterialCount - intMaterialCountBefore < 0)
+                    {
+                        MessageBox.Show("以前の返却数よりも少ない返却はできません", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return;
+                    }
                     // 資材品目マスタバージョンNo取得
                     string strMimSQL = IoMim.CreatePrimarykeyString(intMaterialItemCode);
                     List<MaterialItemMaster> MimList = new List<MaterialItemMaster>();
@@ -659,18 +737,10 @@
                         return;
                     }
 
-                    // 資材の返却完了判断
-                    int intDeleteMaterialCount = intRentCount - (intRepayCount + intMaterialCount);
-                    if (tglAllReturn.Checked && intDeleteMaterialCount != 0)
-                    {
-                        MiWork.MaterialCount = MiList[0].MaterialCount - intDeleteMaterialCount;
-                    }
-                    else
-                    {
-                        MiWork.MaterialCount = MiList[0].MaterialCount;
-                    }
-                    MiWork.RentCount = MiList[0].RentCount + (intMaterialCount - intMaterialCountBefore);
+                    MiWork.MaterialCount = MiList[0].MaterialCount - intMaterialDumpCount;
 
+                    MiWork.RentCount = MiList[0].RentCount + (intMaterialCount - intMaterialCountBefore) - intMaterialDumpCount;
+
                     // 更新ロック
                     //if (!IoMi.RowLockUpdate(intMaterialItemCode, false))
                     //{
@@ -698,9 +768,10 @@
                         return;
                     }
 
-                    CmiWork.RentCount = CmiList[0].RentCount;
+                    CmiWork.RentCount = CmiList[0].RentCount - intMaterialDumpCount;
                     CmiWork.RepayCount = intRepayCount + intMaterialCount;
-                    if (tglAllReturn.Checked)
+
+                    if ((intRentCount - intRepayCount - intMaterialCount - intMaterialDumpCount) == 0)
                     {
                         CmiWork.CompleteFlg = 1;
                     }
@@ -791,7 +862,48 @@
                         }
 
                     }
+                    
+                    // 破棄
+                    if (intMaterialDumpCount > 0)
+                    {
+                        MriWork = new MaterialRecordInfo();
+                        strSQL = IoMri.CreatePrimarykeyString(intMaterialItemCode, DateTime.Now.Date);
+                        strSQL += "and RecKind = 3";
+                        MriList = new List<MaterialRecordInfo>();
+                        if (!IoMri.SelectAction(strSQL, ref MriList, false))
+                        {
+                            IoMi.rollback();
+                            IoCmi.rollback();
+                            MessageBox.Show("登録確認に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                            return;
+                        }
 
+                        MriWork.CommentText = CommonMotions.cnvString(r.Cells[(int)DispColumn.CommentText].Value);
+                        MriWork.ConstructionCode = m_ConstructionCode;
+                        MriWork.PersonCode = CommonMotions.LoginUserData.PersonCode;
+                        MriWork.RecKind = 3;
+                        MriWork.MaterialCount = intMaterialDumpCount;
+
+                        strSQL = IoMri.CreatePrimarykeyString(intMaterialItemCode, DateTime.Now.Date);
+                        MriWork.MaterialItemCode = intMaterialItemCode;
+                        MriWork.ProcessDate = CommonMotions.cnvDate(lblRepaydate.Text);
+                        MriWork.SeqNo = IoMri.SelectMaxMaterialRecordKeyCount(strSQL, false) + 1;
+
+
+                        MriList.Clear();
+                        MriList.Add(MriWork);
+
+                        // データ登録
+                        if (!IoMri.InsertAction(MriList, false))
+                        {
+                            IoMi.rollback();
+                            IoCmi.rollback();
+                            IoMri.rollback();
+                            MessageBox.Show("更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                            return;
+                        }
+                    }
+
                     // 資材品目マスタバージョンNo更新
                     strMimSQL += string.Format(" And VersionNo = {0}", MiMaster.VersionNo.ToString());
                     if (!IoMim.UpdateVersionAction(strMimSQL, MiMaster, false))
@@ -802,6 +914,7 @@
                         IoMim.rollback();
                         return;
                     }
+
                 }
 
                 IoMi.commit();
@@ -835,9 +948,13 @@
                     IoMim.close();
                     IoMim = null;
                 }
+
+                CommonMotions.EntryEndMessage("資材返却");
             }
         }
+        #endregion
 
+        #region 単位マスタ表示
         /// <summary>
         /// 単位マスタ表示
         /// </summary>
@@ -904,6 +1021,18 @@
                     dgvMaster.Rows[icnt].Cells[(int)DispColumn.CommentText].Value = CommonMotions.cnvString(work[(int)DataColumn.CommentText]);
 
                     CompleteFlg = CommonMotions.cnvInt(work[(int)DataColumn.CompleteFlg]) == 1 ? false : true;
+                    
+                    if (CompleteFlg == true)
+                    {
+                        dgvMaster.Rows[icnt].Cells[(int)DispColumn.MaterialDumpCount].Value = 0;
+                    }
+                    else
+                    {
+                        dgvMaster.Rows[icnt].Cells[(int)DispColumn.MaterialDumpCount].Value = 
+                            CommonMotions.cnvInt(work[(int)DataColumn.RENTCOUNT])
+                            - CommonMotions.cnvInt(work[(int)DataColumn.REPAYCOUNT])
+                            - CommonMotions.cnvInt(work[(int)DataColumn.MaterialCount]);
+                    }
                     icnt++;
                 }
 
@@ -913,7 +1042,7 @@
                 // 完了時画面操作不可
                 if (!CompleteFlg)
                 {
-                    tglAllReturn.Enabled = CompleteFlg;
+                    //tglAllReturn.Enabled = CompleteFlg;
                     btnDataEntry.Enabled = CompleteFlg;
                     dgvMaster.Enabled = CompleteFlg;
                 }
@@ -932,7 +1061,9 @@
             }
             return true;
         }
+        #endregion
 
+        #region ボタンの表示・非表示制御
         /// <summary>
         /// ボタンの表示・非表示制御
         /// </summary>
@@ -959,7 +1090,9 @@
             // グリッドの読込のみ制御
             dgvMaster.ReadOnly = m_DialogFlg;
         }
+        #endregion
 
+        #region グリッド最終行での処理
         /// <summary>
         /// グリッド最終行での処理
         /// </summary>
@@ -981,7 +1114,9 @@
 
             }
         }
+        #endregion
 
+        #region データ登録
         /// <summary>
         /// データ登録
         /// </summary>
@@ -993,16 +1128,19 @@
                 if (!DispFeildCheck()) return false;
 
                 // 確認
-                if (tglAllReturn.Checked)
+                //if (tglAllReturn.Checked)
+                //{
+                //    if (MessageBox.Show("返却されていない資材は、資材から削除されます。完了してよろしいですか？", "登録確認"
+                //            , MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes) return false;
+                //}
+                //else
+                //{
+                if (MessageBox.Show("表示中のデータを登録します。", "登録確認"
+                        , MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes)
                 {
-                    if (MessageBox.Show("返却されていない資材は、資材から削除されます。完了してよろしいですか？", "登録確認"
-                            , MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes) return false;
+                    return false;
                 }
-                else
-                {
-                    if (MessageBox.Show("表示中のデータを登録します。", "登録確認"
-                            , MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes) return false;
-                }
+                //}
 
                 //// 表示行退避
                 //int iIndex = dgvMaster.FirstDisplayedScrollingRowIndex;
@@ -1024,6 +1162,7 @@
 
             return true;
         }
+        #endregion
 
         #endregion
 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.designer.cs	(revision 166)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.designer.cs	(revision 167)
@@ -31,12 +31,13 @@
         private void InitializeComponent()
         {
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle1 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle7 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle8 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle4 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle5 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle6 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle7 = new System.Windows.Forms.DataGridViewCellStyle();
             this.label1 = new System.Windows.Forms.Label();
             this.label2 = new System.Windows.Forms.Label();
             this.label3 = new System.Windows.Forms.Label();
@@ -60,6 +61,7 @@
             this.Column4 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column5 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column6 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column13 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column12 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column7 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.groupBoxEx1.SuspendLayout();
@@ -208,6 +210,7 @@
             this.tglAllReturn.TabIndex = 1;
             this.tglAllReturn.Text = "資材の返却を完了する";
             this.tglAllReturn.UseVisualStyleBackColor = true;
+            this.tglAllReturn.Visible = false;
             // 
             // dgvMaster
             // 
@@ -235,19 +238,21 @@
             this.Column4,
             this.Column5,
             this.Column6,
+            this.Column13,
             this.Column12,
             this.Column7});
             this.dgvMaster.Location = new System.Drawing.Point(6, 6);
             this.dgvMaster.MultiSelect = false;
             this.dgvMaster.Name = "dgvMaster";
-            dataGridViewCellStyle7.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle7.BackColor = System.Drawing.SystemColors.Control;
-            dataGridViewCellStyle7.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle7.ForeColor = System.Drawing.SystemColors.WindowText;
-            dataGridViewCellStyle7.SelectionBackColor = System.Drawing.SystemColors.Highlight;
-            dataGridViewCellStyle7.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
-            dataGridViewCellStyle7.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
-            this.dgvMaster.RowHeadersDefaultCellStyle = dataGridViewCellStyle7;
+            dataGridViewCellStyle8.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle8.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle8.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle8.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle8.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle8.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle8.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvMaster.RowHeadersDefaultCellStyle = dataGridViewCellStyle8;
+            this.dgvMaster.RowHeadersVisible = false;
             this.dgvMaster.RowHeadersWidth = 24;
             this.dgvMaster.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.CellSelect;
             this.dgvMaster.Size = new System.Drawing.Size(1137, 229);
@@ -281,7 +286,7 @@
             this.Column2.Name = "Column2";
             this.Column2.ReadOnly = true;
             this.Column2.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.Column2.Width = 180;
+            this.Column2.Width = 150;
             // 
             // Column9
             // 
@@ -302,7 +307,7 @@
             this.Column3.ReadOnly = true;
             this.Column3.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.Column3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.Column3.Width = 300;
+            this.Column3.Width = 275;
             // 
             // Column11
             // 
@@ -343,8 +348,17 @@
             this.Column6.Name = "Column6";
             this.Column6.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.Column6.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.Column6.Width = 125;
             // 
+            // Column13
+            // 
+            dataGridViewCellStyle7.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle7.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.Column13.DefaultCellStyle = dataGridViewCellStyle7;
+            this.Column13.HeaderText = "破棄数";
+            this.Column13.Name = "Column13";
+            this.Column13.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.Column13.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            // 
             // Column12
             // 
             this.Column12.HeaderText = "変更前返却数";
@@ -418,6 +432,7 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn Column4;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column5;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column6;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column13;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column12;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column7;
     }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.resx
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.resx	(revision 166)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.resx	(revision 167)
@@ -138,6 +138,9 @@
   <metadata name="Column11.UserAddedColumn" type="System.Boolean, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
     <value>True</value>
   </metadata>
+  <metadata name="Column13.UserAddedColumn" type="System.Boolean, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+    <value>True</value>
+  </metadata>
   <metadata name="Column12.UserAddedColumn" type="System.Boolean, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
     <value>True</value>
   </metadata>
